# Database File of Manually classified Sentinel-2A Data

This repository contains a database of manually labeled [Sentinel-2A](http://www.esa.int/Our_Activities/Observing_the_Earth/Copernicus/Sentinel-2) spectra which were used in the paper: [Hollstein, A.; Segl, K.; Guanter, L.; Brell, M.; Enesco, M.    Ready-to-Use Methods for the Detection of Clouds, Cirrus, Snow, Shadow, Water and Clear Sky Pixels in Sentinel-2 MSI Images. Remote Sens. 2016, 8, 666.](http://www.mdpi.com/2072-4292/8/8/666).

The data itself and some associated metadata are stored in an [HDF5](https://www.hdfgroup.org/HDF5/) file which can be downloaded here: 

<https://gitext.gfz-potsdam.de/hollstei/sentinel2_manual_classification_clouds/raw/master/20160321_s2_manual_classification_data.h5>



The first dimension of **dates**, **spectra**, and **classes** are aligned such that for each spectrum the selected classes can be retrieved. The association of **class_ids** and **class_names** is given in additional attributes.

The figure below shows the layout of the file and some sample data:


![hdf5 file](fig/screenshot_hdfview.png)

A technical note on how the data was produced is currently under preparation.